# mobile-rb

Mobile-rb is a new ruby wrapper for the german Mobile.de API. Tests included (but need to be extended).

*Currently the gem only supports the [Search API](http://services.mobile.de/manual/search-api.html) of Mobile.de.*

## Installation

```
gem install mobile-rb
```

## Usage

```
client = Mobile.configure do |config|
  config.username = "your_username"
  config.password = "your_password"
  # config.api_version = "1.0.0" # Optional
end
```

### Fetching all ads

To fetch all ads by the user that is logged in do the following command:

```
client.ads()
```

### Fetching a specific ad

To fetch a specific ad by his ad-id just use the `ad` method of the client and pass the ad-id into the method:

```
client.ad(472842)
```

## Contributing

1. Fork it ( https://github.com/freshas/mobile-rb/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin feature/feature-name`)
5. Create a new Pull Request

## License

Copyright (c) 2015 Dominik Schmidt

MIT License

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
