# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'mobile/version'

Gem::Specification.new do |spec|
  spec.name          = "mobile-rb"
  spec.version       = Mobile::VERSION
  spec.authors       = ["Dominik Schmidt"]
  spec.email         = ["visualcake@me.com"]
  spec.description   = 'A Ruby interface to the Mobile.de API.'
  spec.summary       = spec.description
  spec.homepage      = "http://fresh.as/"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = %w(lib)

  spec.add_runtime_dependency "multi_xml", "~> 0.5.5"
  spec.add_runtime_dependency "httparty", "~> 0.13.3"

  spec.add_development_dependency "rspec", "~> 2.6"
  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
end
