require 'spec_helper'

describe Mobile::Client do
  before(:each) do
    @client = Mobile.configure { |config|
      config.username     = ENV['MOBILE_USER']
      config.password     = ENV['MOBILE_PW']
      config.api_version  = "1.0.0"
    }
  end

  it 'should be configured' do
    expect(@client.configured?).to be_truthy
  end

  it 'should search for all vehicles' do
    expect(@client.ads().size).to be >= 1
  end

  it 'should search for one vehicles' do
    expect(@client.ad(203908080).size).to be >= 1
  end
end
